View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
14190Bug reportsSurvey editingpublic2021-03-12 14:36
ReporterDenisChenu Assigned To 
PrioritynoneSeverityminor 
Status newResolutionopen 
Product Version3.15.x 
Summary14190: [question template] Some core attribute disable existing template
DescriptionSome attribute disable question template
Steps To ReproducePut included plugin in theme (plugin from https://bugs.limesurvey.org/view.php?id=13516)
Create a short text question, set location map service to 100
Save
Set template to autoComplete
Test
Additional InformationRelated to a lot of other issue in question template
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14185 closeddominikvitt Need a clean way to hide custom question theme attributes 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2018-10-28 14:41

developer  

autoComplete.zip (385,265 bytes)
DenisChenu

DenisChenu

2018-10-28 14:45

developer   ~49463

Same with display_rows (short text question) for example
DenisChenu

DenisChenu

2018-10-30 15:44

developer   ~49497

Workaround <types></types>, but still a workaround : di we really want workaround or clean way ?
LouisGac

LouisGac

2019-01-10 17:10

developer   ~50165

can you confirm that Dominik fix for 14185 also fixed this one?
DenisChenu

DenisChenu

2019-01-10 17:15

developer   ~50166

Workaround <types></types> is better …

See comments on 14185

And no : it's not the same issue , i didn't test but think it's not fixed.
ollehar

ollehar

2021-03-10 22:41

administrator   ~63208

Please update to the latest version and check if the bug can still be reproduced. Thank you.
DenisChenu

DenisChenu

2021-03-11 07:45

developer   ~63256

Last edited: 2021-03-11 07:45

View 2 revisions

Still an issue with included Theme and 3.25.17

@tpartner : do you have a 4.X version of autoComplete question theme ?
tpartner

tpartner

2021-03-11 13:32

developer   ~63307

Last edited: 2021-03-11 13:33

View 3 revisions

@DenisChenu, No, not yet, I'll try later today.
tpartner

tpartner

2021-03-12 14:09

developer   ~63334

@DenisChenu, here you go, attached is a 4.x survey and theme.

Note: this question theme is not fully developed yet. A feature that I haven't got around to implementing - it should look for a CSV in the survey resources if there is no list of items entered in the question settings.
Text-Auto-Complete.zip (12,765 bytes)
tpartner

tpartner

2021-03-12 14:26

developer   ~63335

Last edited: 2021-03-12 14:27

View 2 revisions

...but when I try to assign this theme to a new question I get this error and the interface hangs, cannot access questions, I have to delete the survey.

Another question theme bug with 4.x?
capture_2.png (2,810 bytes)   
capture_2.png (2,810 bytes)   
DenisChenu

DenisChenu

2021-03-12 14:36

developer   ~63336

> Note: this question theme is not fully developed yet. A feature that I haven't got around to implementing - it should look for a CSV in the survey resources if there is no list of items entered in the question settings.

:D it remind me something ;) where are see such method

Issue History

Date Modified Username Field Change
2018-10-28 14:41 DenisChenu New Issue
2018-10-28 14:41 DenisChenu File Added: autoComplete.zip
2018-10-28 14:41 DenisChenu File Added: limesurvey_survey_testAutoComplete.lss
2018-10-28 14:41 DenisChenu Relationship added related to 14185
2018-10-28 14:45 DenisChenu Note Added: 49463
2018-10-30 15:44 DenisChenu Note Added: 49497
2019-01-10 17:10 LouisGac Note Added: 50165
2019-01-10 17:10 LouisGac Assigned To => LouisGac
2019-01-10 17:10 LouisGac Status new => feedback
2019-01-10 17:15 DenisChenu Note Added: 50166
2019-01-10 17:15 DenisChenu Status feedback => assigned
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2021-03-10 22:41 ollehar Assigned To LouisGac =>
2021-03-10 22:41 ollehar Status assigned => feedback
2021-03-10 22:41 ollehar Note Added: 63208
2021-03-11 07:45 DenisChenu Note Added: 63256
2021-03-11 07:45 DenisChenu File Added: Capture d’écran du 2021-03-11 07-43-28.png
2021-03-11 07:45 DenisChenu File Added: Capture d’écran du 2021-03-11 07-43-51.png
2021-03-11 07:45 DenisChenu Status feedback => new
2021-03-11 07:45 DenisChenu Note Edited: 63256 View Revisions
2021-03-11 13:32 tpartner Note Added: 63307
2021-03-11 13:33 tpartner Note Edited: 63307 View Revisions
2021-03-11 13:33 tpartner Note Edited: 63307 View Revisions
2021-03-12 14:09 tpartner Note Added: 63334
2021-03-12 14:09 tpartner File Added: Demo_Question_Theme_Autocomplete_4x.lss
2021-03-12 14:09 tpartner File Added: Text-Auto-Complete.zip
2021-03-12 14:26 tpartner Note Added: 63335
2021-03-12 14:26 tpartner File Added: capture_2.png
2021-03-12 14:27 tpartner Note Edited: 63335 View Revisions
2021-03-12 14:36 DenisChenu Note Added: 63336